OpenTTD Source: NetworkAuthenticationDefaultPasswordProvider Class Reference

OpenTTD Source 15.3

Public Member Functions | Private Attributes
NetworkAuthenticationDefaultPasswordProvider Class Reference

Default implementation of the password provider. More...

`#include <network_crypto.h>`

Inheritance diagram for NetworkAuthenticationDefaultPasswordProvider:

## Public Member Functions
| NetworkAuthenticationDefaultPasswordProvider (const std::string &password)
| Create the provider with the pointer to the password that is to be used.
std::string_view | GetPassword () const override
| Callback to return the password where to validate against.

## Private Attributes
const std::string * | password
| The password to check against.

## Detailed Description

Default implementation of the password provider.

Definition at line 123 of file network_crypto.h.

## Constructor & Destructor Documentation

## ◆ NetworkAuthenticationDefaultPasswordProvider()

NetworkAuthenticationDefaultPasswordProvider::NetworkAuthenticationDefaultPasswordProvider | ( | const std::string & | password | ) |
| inline

Create the provider with the pointer to the password that is to be used.

A pointer, so this can handle situations where the password gets changed over time.

Parameters

  password | The reference to the configured password.

Definition at line 132 of file network_crypto.h.

## Member Function Documentation

## ◆ GetPassword()

std::string_view NetworkAuthenticationDefaultPasswordProvider::GetPassword | ( |  | ) | const
| inlineoverridevirtual

Callback to return the password where to validate against.

Returns
  `std::string_view` of the current password; an empty view means no password check will be performed.

Implements NetworkAuthenticationPasswordProvider.

Definition at line 134 of file network_crypto.h.

References password.

## Field Documentation

## ◆ password

const std::string* NetworkAuthenticationDefaultPasswordProvider::password
| private

The password to check against.

Definition at line 125 of file network_crypto.h.

Referenced by GetPassword().

The documentation for this class was generated from the following file:

- src/network/network_crypto.h